#include "mbed.h"

Ticker toggle_led_ticker;

DigitalOut led1(LED1);
DigitalOut led2(LED2);
DigitalOut led3(LED3);

int8_t counter = 0;

void toggle_leds_by_least_significant_bytes() {
    
    if(counter & (1 << (0))){
        led1 = 1;
    } else {
        led1 = 0;
    }
    
    if(counter & (1 << (1))){
       led2 = 1;
    } else {
        led2 = 0;
    }

    if(counter & (1 << (2))){
       led3 = 1;
    } else {
        led3 = 0;
    }
    
    counter++;
}

int main() {
    toggle_led_ticker.attach(&toggle_leds_by_least_significant_bytes, 1);
}
